#ifndef QT_MAINWINDOW_HPP
#define QT_MAINWINDOW_HPP

#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>
#include <QAction>
#include <QApplication>

#include "qt/input.hpp"
#include "qt/view_solution.hpp"
#include "kernel.hpp"

class QtMainWindow:public QMainWindow{
  Q_OBJECT
private:
  QtInput* input;
  QtViewSolution* view_solution;
  QMenu* input_menu;
  QAction* new_act;
  QAction* load_act;
  QAction* exit_act;
  Kernel* kernel;
public:
  QtMainWindow();
  QtMainWindow(string filename);
  ~QtMainWindow();
private slots:
  void new_input();
  void load_input();
  void exit();
  void run_input();
  void exit_input();
};


#endif
